/users/export - Export users to CSV or PDF

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.my.nethesis.it/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "my.nethesis.it MCP server": {
    "url": "https://api.my.nethesis.it/mcp"
  }
}

Close
GET /users/export

Export users to CSV or PDF format with applied filters (max 10,000 users)

Query parameters

  • format string Required

    Export format (csv or pdf)

    Values are csv or pdf.

  • sort_by string

    Field to sort users by

    Values are name, email, username, created_at, updated_at, latest_login_at, organization, or status.

  • sort_direction string

    Sort direction

    Values are asc or desc. Default value is asc.

  • organization_id array[string]

    Filter by organization logto_id. Supports multiple values.

  • status array[string]

    Filter by user status. Supports multiple values.

    • enabled: not suspended and not deleted
    • suspended: suspended but not deleted
    • deleted: soft-deleted

    Values are enabled, suspended, or deleted.

  • role array[string]

    Filter by user role ID. Supports multiple values.

Responses

  • Users exported successfully

  • 400 application/json

    Bad request - validation error

    Hide response attributes Show response attributes object
    • code integer

      HTTP error code

    • message string

      Error message

    • data object
      Hide data attributes Show data attributes object
      • type string

        Type of error

        Values are validation_error or external_api_error.

      • errors array[object]
        Hide errors attributes Show errors attributes object
        • key string

          Field name that failed validation

        • message string

          Error code or message

        • value string

          Value that failed validation

      • details

        Additional error details

  • 401 application/json

    Unauthorized - invalid or missing token

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object | null
  • 403 application/json

    Forbidden - insufficient permissions

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object | null
GET /users/export
curl \
 --request GET 'https://collect.your-domain.com/api/users/export?format=csv' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (400)
{
  "code": 400,
  "message": "validation failed",
  "data": {
    "type": "validation_error",
    "errors": [
      {
        "key": "username",
        "message": "required",
        "value": "string"
      }
    ]
  }
}
Response examples (401)
{
  "code": 401,
  "message": "invalid token",
  "data": {}
}
Response examples (403)
{
  "code": 403,
  "message": "insufficient permissions",
  "data": {}
}